IBM Support

IT29226: ALL VSNAP CLI COMMANDS SHOW PYTHON WARNINGS STARTING WITH VERSION 10.1.3.312

Subscribe

You can track all active APARs for this component.

 

APAR status

  • Closed as program error.

Error description

  • After upgrading IBM Spectrum Protect Plus to version 10.1.3.312,
    vSnap version 10.1.3.575, all vsnap commands show
    warnings in addition to the normal output.
    /opt/vsnap/venv/lib64/python3.4/site-packages/requests/_init_.py
    :91: RequestsDependencyWarning: urllib3
    (1.25) or chardet (3.0.4) doesn't match a supported version!
    RequestsDependencyWarning)
    uwsgi.log shows:
    /opt/vsnap/venv/lib64/python3.4/site-packages/requests/__init__.
    py:91: RequestsDependencyWarning: urllib3 (1.25) or chardet
    (3.0.4) doesn't match a supported version!
       RequestsDependencyWarning)
    WSGI app 0 (mountpoint='/api') ready in 0 seconds on interpreter
    0xa4a200 pid: 15931 (default app)
    Backups/restores or vsnap maintenance are not affected by this
    problem.
    MDVREGR - 10.1.3
    Versions affected: 10.1.3.312 and later
    Keywords: TS002198100
    

Local fix

Problem summary

  • ****************************************************************
    * USERS AFFECTED:                                              *
    * IBM Spectrum Protect Plus version 10.1.3                     *
    ****************************************************************
    * PROBLEM DESCRIPTION:                                         *
    * See Error Description                                        *
    ****************************************************************
    * RECOMMENDATION:                                              *
    * Apply fixing level when available. This problem is currently *
    * projected to be fixed in IBM Spectrum Protect Plus level     *
    * 10.1.4. Note that this is subject to change at the           *
    * discretion of IBM.                                           *
    ****************************************************************
    

Problem conclusion

  • During build/packaging of vSnap, conflicting versions of two
    Python libraries were packaged together. This caused the
    libraries to display warnings when running vSnap CLI commands.
    The problem has been resolved by updating the build process to
    ensure compatible versions of the libraries are packaged.
    

Temporary fix

Comments

APAR Information

  • APAR number

    IT29226

  • Reported component name

    SP PLUS

  • Reported component ID

    5737SPLUS

  • Reported release

    A13

  • Status

    CLOSED PER

  • PE

    NoPE

  • HIPER

    NoHIPER

  • Special Attention

    NoSpecatt / Xsystem

  • Submitted date

    2019-05-22

  • Closed date

    2019-06-11

  • Last modified date

    2019-06-11

  • APAR is sysrouted FROM one or more of the following:

  • APAR is sysrouted TO one or more of the following:

Fix information

  • Fixed component name

    SP PLUS

  • Fixed component ID

    5737SPLUS

Applicable component levels

[{"Business Unit":{"code":"BU058","label":"IBM Infrastructure w\/TPS"},"Product":{"code":"SSNQFQ","label":"IBM Spectrum Protect Plus"},"Platform":[{"code":"PF025","label":"Platform Independent"}],"Version":"A13","Line of Business":{"code":"LOB26","label":"Storage"}}]

Document Information

Modified date:
30 January 2024